File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Other Open Source Projects and the fly likes BIRT Report problem Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » Other Open Source Projects
Bookmark "BIRT Report problem" Watch "BIRT Report problem" New topic

BIRT Report problem

Deepaks Deshpande
Ranch Hand

Joined: Dec 06, 2007
Posts: 114

Hi guys,
I am using BIRT reporting tool for my project. I have followed all the instructions given in the Birt Installer Download for downloading birt 3.7.2 runtime.
I have also updated my eclipse IDE to use the birt 3.7.2 plugins from Birt Update Site.

Then i have followed instructions to set up BIRT for Apache-tomcat-6.0.32 from the Installing Birt Viewer link.

The birt-viewer example runs properly and displays the test report.

The test.rptdesign file's version from the birt-viewer example deployed in tomcat is 3.2.6. Now, in my web application i have created reports and followed instruction to deploy reports in a web application
However, the .rptdesign file that is created in eclipse has a version of 3.2.23. When i change the version from 3.2.23 to 3.2.6 it works fine in the windows environment
but gives the following exception in ubuntu.

Note: the birt-viewer example runs in ubuntu and displays the test report perfectly.

Please help me with a solution for this as i am trying to solve this problem from the last 2 days

Thank you.


I agree. Here's the link:
subject: BIRT Report problem
It's not a secret anymore!